Bug 125154 - Evolution crashes when composing new mail or open configuration menu
Evolution crashes when composing new mail or open configuration menu
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
  Show dependency treegraph
Reported: 2004-06-03 02:18 EDT by Miguel Quiros
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-27 14:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Bugbuddy report for crash when open configuration menu (6.42 KB, text/plain)
2004-06-03 02:20 EDT, Miguel Quiros
no flags Details
Bugbuddy crash report when composing new message (11.61 KB, text/plain)
2004-06-03 02:22 EDT, Miguel Quiros
no flags Details

  None (edit)
Description Miguel Quiros 2004-06-03 02:18:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.7) Gecko/20040514

Description of problem:
I have upgraded Red Hat 7.x to Fedora 2 in two different computers, in
one of them (Pentium 4), evolution seems to work fine but in the other
(an old Pentium 2), the program crashes when I try to compose a new
message and also when I try to open the configuration tool.
I have searched other bugs and I think the most similar one is 115834
but I am not sure if it is exactly the same.
I have deleted the directories ~/evolution and ~/.gconf/apps/evolution
to check if some broken configuration remains from the older version,
the program starts, ask me the data of my mail account but the problem
I submit as attachements the bug-buddy reports for both crashes, it
seems to me that aspell and gnome-spell are involved, so it might be a
translation problem as it happened in bug 115834 (by the way, I am
using the Spanish version). But, why it shows up in one computer and
not in the other?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open Evolution
2. Click "new message" or select "Tools -> Configuration"

Actual Results:  Crash and bugbuddy screen shows up.

Expected Results:  The compose screen or the configuration screen
should appear

Additional info:
Comment 1 Miguel Quiros 2004-06-03 02:20:53 EDT
Created attachment 100815 [details]
Bugbuddy report for crash when open configuration menu
Comment 2 Miguel Quiros 2004-06-03 02:22:07 EDT
Created attachment 100816 [details]
Bugbuddy crash report when composing new message
Comment 3 Jacques Rodary 2004-06-08 08:35:31 EDT
I also reported a similar bug, but can't find it. I upgraded from
RH-7.3 to RH-9, got back to RH-7.3, then upgraded from RH-7.3 to FC1
then to FC2. Evolution crashes when I try to change preferences. This
issue doesn't seem to be related to old configuration of evolution, as
I never used evolution with RH-7.3. But it can be related to other
mail tools used before (elm, mutt, balsa, ...). No such problem  on a
brand new installation of FC1 with /home copied from RH-7.3 system. 
Comment 4 Miguel Quiros 2004-06-08 11:05:43 EDT
Thanks for your comments. According to it, something remains somewhere
from the RedHat packages which should be overwritten by the Fedora
packages but is not. Perhaps looking in the log files of the
installation, I can find a message about some /etc/whateverconfigfile
of whoknowswhichpackage that has been kept instead of overwritten. If
I find something useful, I will write it here ...
Comment 5 Miguel Quiros 2004-06-10 01:48:41 EDT
I've found it!
I have started evolution from a terminal to see whatever messages
appear and just before crashing the last message was a complaint about
the bad format of file /usr/lib/aspell/fr-40-only.rws.
This file belongs to the package aspell-fr. I have checked that an old
version of this package remained in the system after upgrading to
Fedora 2. I have upgraded the packaged with the version included in
Fedora 2 and the problem has dissapeared.
The bug is then either in the installation program that "forgot" to
upgrade this package or in the dependendes of package spell that
should be made incompatible with old versions of spell-xx.
Comment 6 Jacques Rodary 2004-06-10 21:10:53 EDT
Thanks! It works, even if I had trouble importing mails from elm
Comment 7 Matthew Miller 2005-04-26 11:09:09 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Dave Malcolm 2005-04-27 14:33:49 EDT
Problem appears to be solely when upgrading from old RHL editions.

Resolving this one as WONTFIX, as not a security issue.  If a Fedora Legacy team
member (or reporter) wishes to reopen it, then go for it.
Comment 9 Jacques Rodary 2005-04-27 17:45:58 EDT
I don't understand: comment #5 from Miguel Quiros, anf my one (#6) clearly shows
it is an aspell upgrade issue, and probably an aspell-fr one. Just forget about
it (or reattribute).

Note You need to log in before you can comment on or make changes to this bug.